com.aliyun.svideosdk.editor

## Interface AliyunPasterManager

-     public interface AliyunPasterManager

  主要用于创建贴图控制类，负责与底层渲染接口交互，辅助上层UI展示，要使动图正确显示， 需要在添加动图之前调用`setDisplaySize(int, int)`设置动图显示区域的大小，这个显示区域指的是 UI界面上的显示区域。

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunPasterControllerCompoundCaption` | `addCaptionWithStartTime(java.lang.String text, Source bubbleEffectSource, Source fontSource, long startTime, long duration)` 添加文字 v3.23.0 新增
    `AliyunPasterControllerCompoundCaption` | `addCaptionWithStartTime(java.lang.String text, java.lang.String bubbleEffectPath, java.lang.String font, long startTime, long duration)` Deprecated. 使用 `addCaptionWithStartTime(String,Source,Source,long,long)`替代
    `AliyunPasterController` | `addPaster(Source source)` 添加贴图
    `AliyunPasterController` | `addPaster(java.lang.String path)` Deprecated. 使用 `addPaster(Source)`替代
    `AliyunPasterController` | `addPasterWithStartTime(Source source, long startTime, long duration)` 添加贴图，并传入贴图渲染时间
    `AliyunPasterController` | `addPasterWithStartTime(java.lang.String path, long startTime, long duration)` Deprecated. 使用 `addPasterWithStartTime(Source, long, long)`替代
    `AliyunPasterController` | `addSubtitle(java.lang.String text, Source font)`
    `AliyunPasterController` | `addSubtitle(java.lang.String text, java.lang.String font)` Deprecated.
    `AliyunPasterController` | `addSubtitleWithStartTime(java.lang.String text, Source font, long startTime, long duration)` 添加文字贴图 v3.23.0 新增
    `AliyunPasterController` | `addSubtitleWithStartTime(java.lang.String text, java.lang.String font, long startTime, long duration)` Deprecated. 使用 `addSubtitleWithStartTime(String, Source, long, long)`替代
    `AliyunIPasterController` | `findControllerAtPoint(PointF point, long timeInMills)` 查找贴图控制器 v3.22.0 新增
    `java.util.List<AliyunIPasterController>` | `findControllersByType(int type)` 通过类型查找控制器
    `void` | `remove(AliyunIPasterController aController)` delete paster controller
    `void` | `setDisplaySize(int width, int height)` 设置贴图展示区域的大小，该设置影响贴图在视频中的位置和大小， 贴图在视频中的大小为贴图的展示大小与展示区域大小的比例换算到视频区域中，位置的计算同理 该接口必须在`AliyunIEditor.init(SurfaceView, Context)`之前调用
    `void` | `setOnPasterRestoreListener(OnPasterRestored listener)` 设置恢复贴纸的回调，主要用于恢复贴图上层UI 总称：paster 该接口必须在`AliyunIEditor.init(SurfaceView, Context)`之前调用，否则会造成贴图、字幕、涂鸦等效果无法恢复的问题

- - ### Method Detail

    - #### addPaster

          @Deprecated
          AliyunPasterController addPaster(java.lang.String path)

      Deprecated. 使用 `addPaster(Source)`替代
      添加贴图
      Parameters:
        `path` - 贴图路径
      Returns:
        返回贴图控制器

    - #### addPaster

          AliyunPasterController addPaster(Source source)

      添加贴图
      Parameters:
        `path` - 贴图路径
      Returns:
        返回贴图控制器

    - #### addPasterWithStartTime

          @Deprecated
          AliyunPasterController addPasterWithStartTime(java.lang.String path,
                                                                    long startTime,
                                                                    long duration)

      Deprecated. 使用 `addPasterWithStartTime(Source, long, long)`替代
      添加贴图，并传入贴图渲染时间
      Parameters:
        `path` - 贴图路径
        `startTime` - 贴图开始时间
        `duration` - 贴图持续时长
      Returns:
        返回贴图控制器

    - #### addPasterWithStartTime

          AliyunPasterController addPasterWithStartTime(Source source,
                                                        long startTime,
                                                        long duration)

      添加贴图，并传入贴图渲染时间
      Parameters:
        `source` - 贴图资源
        `startTime` - 贴图开始时间
        `duration` - 贴图持续时长
      Returns:
        返回贴图控制器

    - #### addSubtitle

          @Deprecated
          AliyunPasterController addSubtitle(java.lang.String text,
                                                         java.lang.String font)

      Deprecated.
      Parameters:
        `text` - 文字
        `font` - 文字字体资源
      Returns:
        返回贴图控制器

    - #### addSubtitle

          AliyunPasterController addSubtitle(java.lang.String text,
                                             Source font)

      Parameters:
        `text` - 文字
        `font` - 文字字体
      Returns:
        返回贴图控制器

    - #### addSubtitleWithStartTime

          @Deprecated
          AliyunPasterController addSubtitleWithStartTime(java.lang.String text,
                                                                      java.lang.String font,
                                                                      long startTime,
                                                                      long duration)

      Deprecated. 使用 `addSubtitleWithStartTime(String, Source, long, long)`替代
      添加文字贴图
      Parameters:
        `text` - 显示的文字
        `font` - 文字字体
        `startTime` - 开始时间
        `duration` - 时长
      Returns:
        返回贴图控制器

    - #### addSubtitleWithStartTime

          AliyunPasterController addSubtitleWithStartTime(java.lang.String text,
                                                          Source font,
                                                          long startTime,
                                                          long duration)

      添加文字贴图 v3.23.0 新增
      Parameters:
        `text` - 显示的文字
        `font` - 文字字体
        `startTime` - 开始时间
        `duration` - 时长
      Returns:
        返回贴图控制器

    - #### addCaptionWithStartTime

          AliyunPasterControllerCompoundCaption addCaptionWithStartTime(java.lang.String text,
                                                                        java.lang.String bubbleEffectPath,
                                                                        java.lang.String font,
                                                                        long startTime,
                                                                        long duration)

      Deprecated. 使用 `addCaptionWithStartTime(String,Source,Source,long,long)`替代
      添加文字 v3.22.0 新增
      Parameters:
        `text` - 显示的文字
        `bubbleEffectPath` - 气泡资源地址
        `font` - 文字字体
        `startTime` - 开始时间
        `duration` - 时长
      Returns:
        返回贴图控制器

    - #### addCaptionWithStartTime

          AliyunPasterControllerCompoundCaption addCaptionWithStartTime(java.lang.String text,
                                                                        Source bubbleEffectSource,
                                                                        Source fontSource,
                                                                        long startTime,
                                                                        long duration)

      添加文字 v3.23.0 新增
      Parameters:
        `text` - 显示的文字
        `bubbleEffectSource` - 气泡资源
        `fontSource` - 文字字资源
        `startTime` - 开始时间
        `duration` - 时长
      Returns:
        返回贴图控制器

    - #### findControllerAtPoint

          AliyunIPasterController findControllerAtPoint(PointF point,
                                                        long timeInMills)

      查找贴图控制器 v3.22.0 新增
      Parameters:
        `point` - 点击的坐标（x,y)，单位：像素
        `showTime` - 时间戳，单位：毫秒
      Returns:
        贴图控制器

    - #### findControllersByType

          java.util.List<AliyunIPasterController> findControllersByType(int type)

      通过类型查找控制器
      Parameters:
        `type` - 贴图控制器类型
      Returns:
        贴图控制器

    - #### remove

          void remove(AliyunIPasterController aController)

      delete paster controller
      Parameters:
        `aController` - PasterController

    - #### setDisplaySize

          void setDisplaySize(int width,
                              int height)

      设置贴图展示区域的大小，该设置影响贴图在视频中的位置和大小， 贴图在视频中的大小为贴图的展示大小与展示区域大小的比例换算到视频区域中，位置的计算同理 该接口必须在`AliyunIEditor.init(SurfaceView, Context)`之前调用
      Parameters:
        `width` -
        `height` -
      Throws:
        `java.lang.IllegalStateException` - 如果width 或者 height 为0

    - #### setOnPasterRestoreListener

          void setOnPasterRestoreListener(OnPasterRestored listener)

      设置恢复贴纸的回调，主要用于恢复贴图上层UI 总称：paster 该接口必须在`AliyunIEditor.init(SurfaceView, Context)`之前调用，否则会造成贴图、字幕、涂鸦等效果无法恢复的问题
      Parameters:
        `listener` -